// Copyright (C) 2009 Playedit.

// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

#ifndef TOOLTIP_H
#define TOOLTIP_H

#include <mtp_data_types.h>
#include <glibmm/ustring.h>

Glib::ustring GetTrackTooltipText(const Glib::RefPtr<const track_t>& track);
Glib::ustring GetAlbumTooltipText(const Glib::RefPtr<const album_t>& album);
Glib::ustring GetPlaylistTooltipText(const Glib::RefPtr<const playlist_t>& playlist,
		unsigned int duration);

#endif // TOOLTIP_H
